﻿using System;
using Abp;
using Abp.Logging;

namespace Personball.Demo
{
    public class DemoBusinessException : AbpException, IHasErrorCode, IHasLogSeverity
    {
        public DemoBusinessException(ErrorCode errorCode)
            : base(errorCode.ToString())
        {
            Code = (int)errorCode;
        }

        public DemoBusinessException(ErrorCode errorCode, string message)
            : base(message)
        {
            Code = (int)errorCode;
        }

        public DemoBusinessException(ErrorCode errorCode, Exception innerException)
            : base(errorCode.ToString(), innerException)
        {
            Code = (int)errorCode;
        }

        public DemoBusinessException(ErrorCode errorCode, string message, Exception innerException)
            : base(message, innerException)
        {
            Code = (int)errorCode;
        }

        public int Code { get; set; }
        public LogSeverity Severity { get; set; } = LogSeverity.Warn;
    }
}
