﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Personball.Demo
{
    public enum ErrorCode : int
    {
        //用region提前分配错误编码给各个业务领域
        #region 库存相关 100-110
        /// <summary>
        /// 库存不足
        /// </summary>
        InventoryNotEnough = 100,
        #endregion

        #region 购物车相关 200-299
        /// <summary>
        /// 购物车项不存在
        /// </summary>
        ShoppingCartItemNotExists = 200,

        /// <summary>
        /// 商品已下架
        /// </summary>
        ShoppingCartItemIsShelve = 201,

        /// <summary>
        /// 数量超出范围
        /// </summary>
        ShoppingCartItemQtyMoreThanRange = 202,

        #endregion

        #region 订单中心 600-649

        /// <summary>
        /// 订单项重复
        /// </summary>
        OrderItemDuplicate = 601,

        /// <summary>
        /// 订单优惠（折扣）项重复
        /// </summary>
        OrderDiscountDuplicate = 602,
        ItemNotExists = 603,
        RequestParametersError = 604,
        #endregion
    }
}
