using System.Linq;
using Personball.Demo.EntityFramework;
using Personball.Demo.MultiTenancy;

namespace Personball.Demo.Migrations.SeedData
{
    public class DefaultTenantCreator
    {
        private readonly DemoDbContext _context;

        public DefaultTenantCreator(DemoDbContext context)
        {
            _context = context;
        }

        public void Create()
        {
            CreateUserAndRoles();
        }

        private void CreateUserAndRoles()
        {
            //Default tenant

            var defaultTenant = _context.Tenants.FirstOrDefault(t => t.TenancyName == Tenant.DefaultTenantName);
            if (defaultTenant == null)
            {
                _context.Tenants.Add(new Tenant {TenancyName = Tenant.DefaultTenantName, Name = Tenant.DefaultTenantName});
                _context.SaveChanges();
            }
        }
    }
}
